Forth Transport Ltd


Made by the drivers for the drivers

TruckersMP incompatible with latest ATS version

We are aware of the recent ATS game update and that it is not compatible with the mod. Our devs are working to get the mod compatible again as soon as possible. Unfortunately, it is not possible to downgrade at the moment.

ETS2 is still working!

Information


Tag: FORTH-VTC
Language: English
Created: 23 Sep 2019 11:38 UTC
Supported Game
Euro Truck Simulator 2
Owner: BorderEnforcer
Members: 6
Recruitment: Open

Latest VTC Posts

There are currently no posts

Rules

CONTACT US

Want to know more information or have a question?

By Website By Email

Requirements

Ets2 is our main focus and would like our driver to have fun and enjoy yourself

Members

BorderEnforcer
BorderEnforcer
CEO/Owner
josh1053
josh1053
Driver
Tursonaki
Tursonaki
Driver
j15nwp
j15nwp
Driver
locky92003
locky92003
Driver
View more